import java.io.*;
import java.util.*;

public class Gen11{

	final static int MAX_N = 100;
	final static int MAX_P = 100000;
	static Random rand;
	
	public static void main(String[] args) {
		PrintWriter out = new PrintWriter(System.out);
		rand = new Random(89);
		
		out.println("100 50 10");
		
		for(int i = 0; i < 50; ++i) {
			out.println((MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 2));
		}
		for(int i = 50; i < 100; ++i) {
			out.println((MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P - 1) + " " + (MAX_P));
		}
		
		out.close();
	}

}